<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<Resource xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<ID/>
	<Type>Service</Type>
	<Profile>
		<Description>OpenSearch Data Source</Description>
		<Class>OpenSearch</Class>
		<Name>OpenSearchDataSource</Name>
		<Version>1.0.0</Version>
		<Packages>
			<Main>
				<Description>OpenSearch DataSource</Description>
                <Name>OpenSearchDataSourceMain</Name>
                <Version>1.2.0-SNAPSHOT</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.opensearch</groupId>
                    <artifactId>opensearchdatasourcemain</artifactId>
                    <version>1.2.0-SNAPSHOT</version>
                </MavenCoordinates>
                <Mandatory level="VO"/>
                <Shareable level="VO"/>
                <GHNRequirements>
                        <Requirement category="RunTimeEnv" operator="eq" requirement="Variable" value="java1.5"/>
                       <Requirement category="OperatingSystem" operator="eq" requirement="Name" value="Linux"/>
                </GHNRequirements>
				
				<GARArchive>org.gcube.opensearch.opensearchdatasource.gar</GARArchive>
				<PortType>
					<Name>gcube/opensearch/opensearchdatasource/OpenSearchDataSource</Name>
					
				</PortType>
				<PortType>
					<Name>gcube/opensearch/opensearchdatasource/OpenSearchDataSourceFactory</Name>
					
				</PortType>
			</Main>
			<Software deployable="true">
				<Description>OpenSearch DataSource Stubs</Description>
                <Name>OpenSearchDataSourceStubs</Name>
                <Version>1.1.0-SNAPSHOT</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.opensearch</groupId>
                    <artifactId>opensearchdatasourcestubs</artifactId>
                    <version>1.1.0-SNAPSHOT</version>
                </MavenCoordinates>
                <MultiVersion value="true"/>
                <Mandatory level="VO"/>
                <Shareable level="VO"/>
                <Type>library</Type>
                <Files>
                   <File>org.gcube.opensearch.opensearchdatasource.stubs.jar</File>
                </Files>
 				
			</Software>
			<Software deployable="true">
				<Description>OpenSearch DataSource Test Suite</Description>
				<Name>OpenSearchDataSource-test-suite</Name>
				<Version>1.1.0-SNAPSHOT</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.opensearch</groupId>
                    <artifactId>opensearchdatasource-test-suite</artifactId>
                    <version>1.1.0-SNAPSHOT</version>
                </MavenCoordinates>
				<Files>
					<File>readme.txt</File>
					<File>OpenSearch/OpenSearchTest.java</File>
					<File>OpenSearch/ISClient/PublishGenericResource.java</File>
					<File>OpenSearch/ISClient/DeleteGenericResource.java</File>
					<File>OpenSearch/ISClient/RetrieveGenericResource.java</File>
					<File>OpenSearch/ISClient/UpdateGenericResource.java</File>
					<File>OpenSearch/ReadRS/ReadRS.java</File>
				</Files>
			</Software>
		</Packages>
	</Profile>
</Resource>
